function [par] = initHC()
par.Patm=101325;  %Atmosphere pressure
par.Rho_in = 792;
par.Rho_o = 910;%850;                          %density of oil kg/m3
par.Rho_w = 1000;                           %density of oil kg/m3
par.D =[5e-6;12e-6;13e-6;14e-6;15e-6;16e-6;20e-6;25e-6;30e-6;35e-6;40e-6;45e-6;50e-6;55e-6;60e-6];
par.Cd = 20; % 1; This is the value of Cd for sphere when the Reynolds number is greater 
            %than 10 and less than 100 where the separated  flow
            %starts Reference plot in 'E. Loth Drag of non-spherical
            %solid particles of regular and irregular shape'For laminar flow 
par.vis = 10^-6; %kinematic viscosity
par.Rov = 0.001;                              %overflow radius
par.Rin = 0.0035; %par.Rin = 0.0018;                                    % [m] % inlet radius
par.R1 = 0.02;                                 % [m] Cylindrical radius
par.L1 = 0.04;                                 % [m] Cylindrical length
par.R2 = 0.01;                              % [m] first cone  radius
par.alpha = 0.1745 ;                            % first cone angle in radians
par.R1Half = sqrt(par.R1^2/2);
par.L2 = 0.0567;%(par.R1-par.R2)/tan (par.alpha);    
par.R3 = 0.005;                              % [m] second cone  radius
par.beta =  0.0131 ;                            % second cone angle in radians
par.R2Half = sqrt(par.R2^2/2);
par.L3 = 0.3820;%(par.R2-par.R3)/tan (par.beta);
par.Rfac=0.3718;
par.Rfac1=0.27;
par.L4=0.6;
par.Aup=pi*0.0127^2; % 1 inch pipe at the underflow
par.Aop=pi*0.00635^2; % 1/2 inch pipe at the overflow
par.Cdu=0.1;
par.Cdo=0.02;
par.Vol_HC= (pi*((par.R1)^2)*par.L1)+(pi*(1/3)*((par.R1)^2+(par.R2)^2+(par.R1)*(par.R2))*(par.L2))+ (pi*(1/3)*((par.R2)^2+(par.R3)^2+(par.R2)*(par.R3))*(par.L3))+(pi*(par.R3)^2*(par.L4));
par.VRF=(par.Vol_HC*(0.001/par.R1)^2);% Volume of reverse flow oil core -----VolumeofHC*(par.Rov/par.R1)^2
par.K1=1/par.VRF;
par.K2=1/(par.Vol_HC-par.VRF);
